//
//	rgsdiagnostic: read data from a diagnostic image
//
#include <iostream>

#include "OalServer.h"
#include "Xmm.h"

int main()
{
//	const Odf *odf = oalServer.odf();

/* Set node=0, ccd=1, instrument=RGS1 */
	oalServer.instrument(Xmm::RGS1);
	oalServer.ccd(1);
	oalServer.node(Node(0));
	oalServer.dataMode(Xmm::DATA_SPECTROSCOPY);

/* Read the image for this combination */
	cout<<"Result of search for diag map: "<<oalServer.odf()->hasSet(Xmm::SYSPEAK_DIAGNOSTIC)<<endl;
    SImage diagnosticMap = oalServer.odf()->rgsDiagnosticMap();

	cout<<"Diagnostic image [50,40]="<<diagnosticMap[50][40]<<endl;
}
